import { type DateTime } from "../tools/types/index.js";
import { JSONMap } from "../tools/types/json_map.js";
export declare const LogsTableName = "_logs";
export declare class Log {
    #private;
    id: string;
    created: DateTime;
    data: JSONMap<unknown>;
    message: string;
    level: number;
    TableName(): string;
    PK(): string;
    LastSavedPK(): string;
    IsNew(): boolean;
    MarkAsNew(): void;
    MarkAsNotNew(): void;
    PostScan(): Error | null;
}
export declare function normalizeLogRow(row: Record<string, unknown>): Log;
